function morphProd = pgenerator(product,outputCell,litRoom)
global input
track = zeros(1,input);
presentLiterals = find(product~='-');

for k=1:size(outputCell,1)
    temp = outputCell(k,1:input);
    literals = find(temp ~='-');
    track(1,literals) = 1;
end
track(presentLiterals) = 0;
track = find(track >0);
morphProd = product;

database = dec2base(0:3^(numel(track))-1,3)-'0';
for t = 1:3^numel(track)
    temp = product;
    tDatabase = database(t,:);
    counter = 1;
    for k=track
        check = tDatabase(counter);
        switch check
            case 1
                temp(k) = '1';
            case 2
                temp(k) ='0';
        end
        counter = counter +1;
    end
    morphProd=[morphProd;temp];
    
end

end